petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCPARMS

Allows the use of the parallel Algebraic Recursive Multilevel Solvers available in the package pARMS

### Options Database Keys

| -pc_parms_global | - one of ras, schur, bj Many br
| -pc_parms_local | - one of ilu0, iluk, ilut, arms Many br
| -pc_parms_solve_tol | - set the tolerance for local solve Many br
| -pc_parms_levels | - set the number of levels Many br
| -pc_parms_nonsymmetric_perm | - set the use of nonsymmetric permutation Many br
| -pc_parms_blocksize | - set the block size Many br
| -pc_parms_ind_tol | - set the tolerance for independent sets Many br
| -pc_parms_max_dim | - set the inner krylov dimension Many br
| -pc_parms_max_it | - set the maximum number of inner iterations Many br
| -pc_parms_inter_nonsymmetric_perm | - set the use of nonsymmetric permutation for interlevel blocks Many br
| -pc_parms_inter_column_perm | - set the use of column permutation for interlevel blocks Many br
| -pc_parms_inter_row_scaling | - set the use of row scaling for interlevel blocks Many br
| -pc_parms_inter_column_scaling | - set the use of column scaling for interlevel blocks Many br
| -pc_parms_last_nonsymmetric_perm | - set the use of nonsymmetric permutation for last level blocks Many br
| -pc_parms_last_column_perm | - set the use of column permutation for last level blocks Many br
| -pc_parms_last_row_scaling | - set the use of row scaling for last level blocks Many br
| -pc_parms_last_column_scaling | - set the use of column scaling for last level blocks Many br
| -pc_parms_lfil_ilu_arms | - set the amount of fill-in for ilut, iluk and arms Many br
| -pc_parms_lfil_schur | - set the amount of fill-in for schur Many br
| -pc_parms_lfil_ilut_L_U | - set the amount of fill-in for ILUT L and U Many br
| -pc_parms_droptol_factors | - set the drop tolerance for L, U, L^{-1}F and EU^{-1} Many br
| -pc_parms_droptol_schur_compl | - set the drop tolerance for schur complement at each level Many br
| -pc_parms_droptol_last_schur | - set the drop tolerance for ILUT in last level schur complement Many br

### IMPORTANT

Unless configured appropriately, this preconditioner performs an inexact solve Many bras part of the preconditioner application. Therefore, it must be used in combination Many brwith flexible variants of iterative solvers, such as KSPFGMRES or KSPCGR. Many br

Many br

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC

Level:intermediate
Location:src/ksp/pc/impls/parms/parms.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages